# Create a locale

Creates a locale (for example, create a locale called es-CL for
Spanish(Chile) and set it as the default locale). A locale consists of a
two- or three-letter language code and a two- or three-letter region code.
The region code is optional (for example, English can be defined as en or eng).

Endpoint: POST /api/v2/cm/branches/{branchId}/locales
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

## Request fields (application/json-patch+json):

  - `default` (boolean, required)

  - `id` (string, required)

  - `label` (string, required)

## Response 201 fields (application/json):

  - `default` (boolean, required)

  - `id` (string,null, required)

  - `label` (string, required)

  - `system` (object, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string,null, required)

  - `system.environment` (string,null, required)

  - `system.hash` (string,null, required)

  - `system.type` (string,null, required)

  - `system.updatedAt` (string,null)

  - `system.updatedBy` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 500 fields
